<?php
/* ====================================
 * Plugin Name: Автообновление корзины
 * Description: Плагин для автообновления корзины, чтобы пользователь не нажимал кнопку обновить корзину, так же скрывает саму кнопку.
 * Author:      Allslava
 * Author URI:  https://allslava.ru/
 * Plugin URI:  https://allslava.ru/plagin-dlya-avtoobnovleniya-korziny-vukomers/
 * Version: 1.02
 * ==================================== */


add_action( 'wp_footer', 'cart_update_qty_script' );
function cart_update_qty_script() {
    if (is_cart()) :     // Проверяем страница корзины это или нет
    ?>

	<style>
		/*Скрываем кнопку 'Обновить корзину'*/
		.woocommerce button[name="update_cart"],
 		.woocommerce input[name="update_cart"] {
		display: none;
		}
	</style>

    <script>
jQuery( function( $ ) {
 
	$( '.woocommerce' ).on( 'change', '.qty', function() { // поле с количеством имеет класс .qty, вешаем "слушателя"
		 setTimeout(function() {
                    $( '[name="update_cart"]' ).trigger( 'click' ); // Кликаем на кпоку обновления корзины.
                }, 500 ); // 500 - задержка в мс до срабатывания
	} );
} );           
</script>

    <?php
    endif;
}
